rector/rector-prefixed

Prefixed and PHP 7.0 downgraded version of rector/rector

0.10.9 2021-04-20 23:23 UTC

README

Build Status Github Actions Downloads

Do you have conflicts on Rector install? You're in the right place. Prefixed Rector can be installed even on very old Symfony.

Do you have older PHP? Rector prefixed goes down to PHP 7.0, so you can install it even on older projects.

Install

composer require rector/rector-prefixed --dev
# generate "rector.php" config
vendor/bin/rector init

# dry run
vendor/bin/rector process src --dry-run

# changing run
vendor/bin/rector process src